/****************************************************************************
CVUtil.h
    is part of TeclMapVis

    Copyright 2014 Active Vision Group
              Universitaet Koblenz-Landau

    Author:  Marcel Haeselich
    Contact: Marcel Haeselich, mhaeselich[at]uni-koblenz.de


    TeclMapVis is free software: you can redistribute it and/or modify
    it under the terms of thr GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.
    TeclMapVis is distributed in the hope that it will be usefull,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public Livense for more details.
    You should have received a copy of the GNU General Public License
    along with TeclMapVis. If not, see <http://www.gnu.org/licenses/>.

****************************************************************************/

#ifndef PMAP_CVUTIL_H
#define PMAP_CVUTIL_H

#include <vector>
#include <Eigen/Core>
#include <opencv2/opencv.hpp>

namespace PMap
{
	std::vector<Eigen::Matrix<double,2,1,Eigen::DontAlign> > selectPointsFromImage(const cv::Mat& img);
}

#endif
